Packages - Freedom Issue #1227

Google in Iceweasel
2017-03-13 09:27 PM - stig

Status: fixed % Done: 100%
Priority: freedom issue

Assignee: gdjc

Category:

Description

In Iceweasel, both the default and the hardened version, there are some privacy issues due to some safebrowsing, for example
these settings by default:

browser.safebrowsing.provider.google.lastupdatetime;1489439288016

browser.safebrowsing.provider.google.gethashURL;
https://safebrowsing.google.com/safebrowsing/gethash?client=SAFEBROWSING_|D&appver=%MAJOR_VERSION%&pver=2.2
browser.safebrowsing.provider.google.lists;goog-badbinurl-shavar,goog-downloadwhite-digest256,goog-phish-shavar,googpub-phish
-shavar,goog-malware-shavar,goog-unwanted-shavar

browser.safebrowsing.provider.google.nextupdatetime; 1489441054016

browser.safebrowsing.provider.google.pver;2.2

browser.safebrowsing.provider.google.reportURL;

https://safebrowsing.google.com/safebrowsing/diagnostic?client=%NAME %&hl=%LOCALE%&site=

and seven more.
See about:config

Shouldn't some of these at least be set to 'false’ and/or zero?

History

#1 - 2017-03-14 12:06 AM - isacdaavid
- Assignee changed from Anonymous to g4jc

- Status changed from open to info needed

Interesting, most of those exist in iceweasel but not in icecat 45. Additions or dependency injections maybe?

It is my understanding that "Safe Browsing" is being disabled at build time anyway, which is reflected by the key browser.safebrowsing.enabled. If this
is correct then having those keys set to the factory defaults is completely harmless.

I'm assigning to G4JC, author of iceweasel-hardened, so that he can take a second look.

#2 - 2017-03-14 01:06 AM - libreuser
+17)

#3 - 2017-03-14 01:14 AM - gdjc
isacdaavid wrote:
It is my understanding that "Safe Browsing" is being disabled at build time anyway, which is reflected by the key browser.safebrowsing.enabled.

If this is correct then having those keys set to the factory defaults is completely harmless.

Correct. Iceweasel sets safebrowsing to disabled so they have no affect. However, hardened takes it a step farther and removes them completely just
to be on the safe-side. | also noticed that a few of the blacklists download in the background even though they are otherwise unused, which nulling
them out fixes.

#4 - 2017-03-14 07:02 PM - stig

Perhaps I'm wrong or missing something, but neither in Iceweasel or in Iceweasel-hardened are those settings removed nor disabled, at least
not in about:config. So | don't understand.
https://safebrowsing.google.com/safebrowsing/gethash?client=SAFEBROWSING_ID&appver=%MAJOR_VERSION%&pver=2.2
https://safebrowsing.google.com/safebrowsing/diagnostic?client=%NAME%&hl=%LOCALE%&site=
https://git.parabola.nu/abslibre.git/tree/libre/iceweasel/mozconfig#n36
https://git.parabola.nu/abslibre.git/tree/libre/iceweasel/mozconfig#n36

It is disabled in Iceweasel-hardened:
https://git.parabola.nu/abslibre.git/tree/nonprism/iceweasel-hardened-preferences/iceweasel-branding.js#n646

| don't understand what google is doing in Parabola's browser at all.

It is shipped by default in Mozilla Firefox from which Iceweasel is based on, "regular" Iceweasel will only set it to false.
https://qgit.parabola.nu/abslibre.qgit/tree/libre/iceweasel/vendor.js#n89

Would it be safe to set all the values to 'false’, or is that stupid?

It should already be set to false, if it isn't set to false then there is a major problem. Keep in mind that browser addons and user.js can both override
Parabola's systemwide settings, so knowing more about your current configuration may help in debugging this.

#5 - 2017-03-14 11:13 PM - gdjc
- % Done changed from 0 to 100

- Status changed from info needed to fixed

Fixed in regular iceweasel with this commit:

mmit/?i

Also disables Microsoft Family backdoor introduced with recent version of Firefox.

#6 - 2017-03-14 11:14 PM - g4jc

stig wrote:

Would it be safe to set all the values to 'false’, or is that stupid?

To clarify this question, yes setting them all to false isn't a good idea since Firefox looks for valid syntax. It has to be "http://127.0.0.1", "about:blank”,
"data:text/html", or simply " (blank).

#7 - 2017-03-15 01:39 AM - isacdaavid

I'm watching this, since it's likely to resurface in Icecat in the future
